## ros-foxy-ign-ros2-control-demos 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(ign_ros2_control_demos)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

install(DIRECTORY
  launch
  config
  urdf
  DESTINATION share/${PROJECT_NAME}/
)

add_executable(example_position examples/example_position.cpp)
ament_target_dependencies(example_position
  rclcpp
  rclcpp_action
  control_msgs
)

add_executable(example_velocity examples/example_velocity.cpp)
ament_target_dependencies(example_velocity
  rclcpp
  std_msgs
)

add_executable(example_effort examples/example_effort.cpp)
ament_target_dependencies(example_effort
  rclcpp
  std_msgs
)

add_executable(example_diff_drive examples/example_diff_drive.cpp)
ament_target_dependencies(example_diff_drive
  rclcpp
  geometry_msgs
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

## Install
install(
  TARGETS
    example_position
    example_velocity
    example_effort
    example_diff_drive
  DESTINATION
    lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-ign-ros2-control-demos (0.1.5-1focal) focal; urgency=high

  * Fixed URIS (#93 <https://github.com/ros-controls/gz_ros2_control//issues/93>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 24 Nov 2022 23:00:00 -0000

ros-foxy-ign-ros2-control-demos (0.1.4-1focal) focal; urgency=high

  * ign_ros2_control_demos: Install urdf dir (#61 <https://github.com/ignitionrobotics/ign_ros2_control/issues/61>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 05 Jun 2022 22:00:00 -0000

ros-foxy-ign-ros2-control-demos (0.1.3-1focal) focal; urgency=high

  * Remove URDF dependency (#56 <https://github.com/ignitionrobotics/ign_ros2_control/issues/56>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-foxy-ign-ros2-control-demos (0.1.2-1focal) focal; urgency=high

  * Updated docs and renamed diff drive launch file (#32 <https://github.com/ignitionrobotics/ign_ros2_control/issues/32>)
    Co-authored-by: Denis Štogl <mailto:denis@stogl.de>
  * Added Diff drive example (#28 <https://github.com/ignitionrobotics/ign_ros2_control/issues/28>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 13 Feb 2022 23:00:00 -0000

ros-foxy-ign-ros2-control-demos (0.1.1-1focal) focal; urgency=high

  * Change package names from ignition_ to ign_ (#19 <https://github.com/ignitionrobotics/ign_ros2_control/issues/19>)
    * Change package names from ignition_ to ign_
  * Added missing dependencies to package.xml (#18 <https://github.com/ignitionrobotics/ign_ros2_control/pull/21>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 06 Jan 2022 23:00:00 -0000

ros-foxy-ign-ros2-control-demos (0.1.0-1focal) focal; urgency=high

  * Ignition ros2 control (#1 <https://github.com/ignitionrobotics/ign_ros2_control/issues/1>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Vatan Aksoy Tezer

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 04 Jan 2022 23:00:00 -0000

=== debian/control ===
Source: ros-foxy-ign-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-control-msgs, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-std-msgs, ros-foxy-ros-workspace
Homepage: https://github.com/ros-controls/gz_ros2_control/blob/master/README.md
Standards-Version: 3.9.2

Package: ros-foxy-ign-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-python, ros-foxy-control-msgs, ros-foxy-diff-drive-controller, ros-foxy-effort-controllers, ros-foxy-geometry-msgs, ros-foxy-hardware-interface, ros-foxy-ign-ros2-control, ros-foxy-imu-sensor-broadcaster, ros-foxy-joint-state-controller, ros-foxy-joint-trajectory-controller, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-rclcpp, ros-foxy-robot-state-publisher, ros-foxy-ros-ign-gazebo, ros-foxy-ros2controlcli, ros-foxy-std-msgs, ros-foxy-velocity-controllers, ros-foxy-xacro, ros-foxy-ros-workspace
Description: ign_ros2_control_demos

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ign-ros2-control-demos//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
